// Input_1203.h: interface for the CInput_1203 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputBase.h"

class CAdvantechCommon_ACM;

class CInput_1203 : public CInputBase
{
public:
    CInput_1203(const CInputSetting& Setting);
    virtual ~CInput_1203();

    // method to query Analog input voltage
    // nRange = 0 ->  +/-10V
    // nRange = 1 ->  +/-5V
    // nRange = 2 ->  +/-2.5V
    // nRange = 3 ->  +/-1.25V
    BOOL GetVoltage(double& dVoltage, int nRange) override;

    int GetState() override;

private:
    std::unique_ptr<CAdvantechCommon_ACM> m_pCommon;
};
